package org.dyndns.fishyu.messenger;
//
public class Private{
	
	private String contents="";
	private String userName;
	private boolean open = true;
	private boolean read = true;
	private final String s = " ";
	private int PhotoStatus = 0;
	
	
	
	public Private()
	{
		contents = "";
		userName = s;
    }
    
    public void setPhotoStatus( int status )
    {
    	PhotoStatus = status;
   	}
    
    	
	
	public void appendContents( String append )
	{
		contents += append + "\n";
	}
	
	public void clearContents()
	{
		contents = "";
	}
	
	public void setName( String name )
	{
		userName = name;
	}
	
	public void setRead( boolean status )
	{
		read = status;
	}
	

	
	public void setOpen( boolean status )
	{
		open = status;
	}
	
	public String getContents()
	{
		return contents;
	}
	
	public boolean isOpen()
	{
		return open;
	}
	
	public boolean isRead()
	{
		return read;
	}
	
	public String getName()
	{
		return userName;
	}
	
	public int getPhotoStatus()
    {
    	return PhotoStatus;
   	}
	
	
}